#!/bin/bash
script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
cd $script_dir
set -e
export FORMAT=YAML
mkdir -p tmp/vms

for vm_config in vm_configs/*; do
  vm_name=$(echo $vm_config | cut -d '/' -f2 | cut -d '.' -f1)
  detee-cli vm deploy --from-yaml $vm_config > tmp/vms/${vm_name}_install.yaml &&
    echo "The VM $vm_name got created." &
done

wait

for vm_config in $(grep -r uuid: tmp/vms/ | awk '{ print $2}'); do
  vm_id=$(echo $vm_config | cut -d '/' -f2 | cut -d '.' -f1)
  detee-cli vm inspect $vm_id > tmp/vms/${vm_id}_inspect.yaml
  vm_name=$(grep 'hostname: ' tmp/vms/${vm_id}_inspect.yaml |
    awk '{ print $2 }')
  mv tmp/vms/${vm_id}_inspect.yaml tmp/vms/${vm_name}_inspect.yaml
done
